History
All operations require authentication.
List restore pointsProduction
Returns the creation dates of the zone restore points. Can be filtered by a creation date range.
Path parameters
Zone name
Query parameters
Filter using the value of creationDate property (>=)
Filter using the value of creationDate property (<=)
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ history \
-H "authorization: Bearer $OVH_TOKEN"[ "2024-01-01T12:00:00Z"]
Get a restore pointProduction
Returns a restore point: its creation date and the URL of the saved zone file.
Path parameters
Creation date
Zone name
Response
The date of backup creation
The URL of the saved zone at this date
Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ history/ {creationDate} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "zoneFileUrl": "string"}
Restore the zoneProduction
Restores the zone to the selected restore point and returns the task.
Path parameters
Creation date
Zone name
Response
Can accelerate the task
Can cancel the task
Can relaunch the task
Comment about the task
Creation date of the task
Done date of the task
Function of the task
DnsAnycastActivateDnsAnycastDeactivateDnssecDisableDnssecEnableDnssecResigningDnssecRollKskDnssecRollZskZoneCheckZoneCreateZoneCutZoneDeleteZoneImportZoneRefreshZoneRestoreId of the task
Last update date of the task
Status of the task
cancelleddoingdoneerrorproblemtodoTodo date of the task
Example uses creationDate = 2024-01-01T12:00:00Z, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ history/ {creationDate}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "canAccelerate": true, "canCancel": true, "canRelaunch": true, "comment": "string", "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "function": "DnsAnycastActivate", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}